Bug 400314 - Release date should respect the format configured in the system settings
Summary: Release date should respect the format configured in the system settings
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Flatpak Backend (show other bugs)
Version: 5.14.2
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-26 00:01 UTC by Patrick Silva
Modified: 2018-11-06 21:30 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.14.4


Attachments
screenshot (290.82 KB, image/png)
2018-10-26 00:01 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-10-26 00:01:44 UTC
Created attachment 115906 [details]
screenshot

Discover shows the release date of flatpak packages.
However, as we can see in the screenshot the format configured in the system settings (Formats kcm) is not respected. 


OBSERVED RESULT
Release date shown in Discover does not respect the format configured in the system settings.

EXPECTED RESULT
Release date should respect the format configured in the system settings

KDE neon Developer Edition
KDE Plasma: 5.14.80
Qt: 5.11.2
KDE Frameworks: 5.52.0
Comment 1 Aleix Pol 2018-11-05 14:28:38 UTC
Git commit a3485f6b306fab8b903cefa9d4e7bb15e9964b0d by Aleix Pol.
Committed on 05/11/2018 at 14:26.
Pushed by apol into branch 'Plasma/5.14'.

Use the locale to create the release date string

M  +1    -1    discover/qml/ApplicationPage.qml

https://commits.kde.org/discover/a3485f6b306fab8b903cefa9d4e7bb15e9964b0d